"use strict";

var _through = _interopRequireDefault(require("through2"));

var _uglifyEs = _interopRequireDefault(require("uglify-es"));

var _pluginError = _interopRequireDefault(require("plugin-error"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var PLUGIN_NAME = 'uglifyes';

function gulpUglifyes() {
  var option = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
  // 提示
  console.warn('Warn: Please use terser / gulp-terser instead of uglify-es / gulp-uglifyes.');

  var stream = _through.default.obj(function (file, enc, callback) {
    if (file.isStream()) {
      this.emit('error', new _pluginError.default(PLUGIN_NAME, 'Streams are not supported!'));
      return cb();
    }

    if (file.isBuffer()) {
      try {
        var str = file.contents.toString('utf8');

        var result = _uglifyEs.default.minify({
          'script': str
        }, option);

        file.contents = new Buffer(result.code);
        this.push(file);
        return callback();
      } catch (err) {
        this.emit('error', new _pluginError.default(PLUGIN_NAME, err));
        return callback();
      }
    }
  });

  return stream;
}

module.exports = gulpUglifyes;